:host {
    .user-info-component {
        background-color: #f8f9fc;
        position: relative;
        width: 50%;
        height: 756px;
        float: right;
        .user-info-inner {
            position: relative;
            width: 528px;
            height: 728px;
            right: -20px;
            background-color: white;
            border: 1px solid rgba(0, 0, 0, 0.1);
            border-radius: 4px;
            overflow: auto;
            .user-photo {
                width: 80px;
                height: 80px;
                background-size: 100% 100%;
                background-repeat: no-repeat;
                background-position: 50% 50%;
                position: relative;
                border-radius: 100%;
                margin: 50px;
                border: 2px solid rgb(216, 211, 211);
                float: left;
            }
            .user-name {
                float: left;
                padding: 50px 0 50px 0;
                display: table;
                height: 80px;
                width: auto;
                font-family: GothamPro;
                font-weight: 900;
                font-size: 18px;
                .name {
                    display: block;
                    line-height: 22px;
                    top: 18px;
                    position: relative;
                    left: -25px;
                }
            }
            .block {
                position: relative;
                width: 490px;
                height: 200px;
                margin: 0 auto;
                background-color: rgba(21, 110, 244, 0.3);
                border-radius: 6px;
                margin-top: 190px;
                .main-score {
                    position: absolute;
                    right: 10px;
                    top: 10px;
                    width: 66px;
                    height: 66px;
                    line-height: 63px;
                    text-align: center;
                    font-family: GothamPro;
                    background-color: #5da012;
                    border-radius: 100%;
                    overflow: hidden;
                    font-weight: 900;   
                    color: rgba(0, 0, 0, 0.6);
                    &::after {
                        content: "";
                        display: block;
                        background-color: rgb(208, 208, 208);
                        width: 35px;
                        height: 50px;
                        position: relative;
                        top: -40px;
                        z-index: 1;
                    }
                    .main-score-inner {
                        position: relative;
                        width: 60px;
                        height: 60px;
                        top: 3px;
                        left: 3px;
                        z-index: 2;
                        display: block;
                        border-radius: 100%;
                        background-color: white;
                    }
                }
            }
            .no-margin {
                margin: 30px auto 0;
            }
            .btn-set {
                position: absolute;
                bottom: 0px;
                .btn {
                    border-radius: 6px;
                    position: relative;
                    float: left;
                    padding: 4px;
                    background-color: white;
                    color: rgba(128, 128, 128, 0.7);
                    margin: 10px 0px 25px 3px;
                    border: 2px solid rgba(128, 128, 128, 0.4);
                    width: 25px;
                    height: 25px;
                    text-align: center;
                    line-height: 25px;
                    font-family: GothamPro;
                    font-size: 14px;
                    left: 20px;
                    &:hover {
                        cursor: pointer;
                        border: 2px solid #156ef4;
                        color: #156ef4;
                    }
                }
                .active {
                    background-color: #156ef4;
                    color: white;
                    border: 2px solid #156ef4;
                    &:hover {
                        background-color: #156ef4;
                        color: white;
                        border: 2px solid #156ef4;
                    }
                }
            }
        }
    }
}
  